petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMkl_PardisoSetCntl

Set Mkl_Pardiso parameters

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMkl_PardisoSetCntl(Mat F,PetscInt icntl,PetscInt ival)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor()
| icntl | - index of Mkl_Pardiso parameter
| ival | - value of Mkl_Pardiso parameter

### Options Database

-mat_mkl_pardiso_<icntl> <ival> -

### References

Mkl_Pardiso Users' Guide -

### See Also

MatGetFactor()

### Level

beginner

### Location

src/mat/impls/aij/seq/mkl_pardiso/mkl_pardiso.c

### Implementations

MatMkl_PardisoSetCntl_MKL_PARDISO in src/mat/impls/aij/seq/mkl_pardiso/mkl_pardiso.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages